This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1001856 - Erroneous disk failing alert
Erroneous disk failing alert
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libatasmart (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Matthias Clasen
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 21:42 EDT by John Newbigin
Modified: 2017-09-14 07:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Applet alert (6.51 KB, image/png)
2013-08-27 21:43 EDT, John Newbigin
no flags Details
SMART details (73.20 KB, image/png)
2013-08-27 21:45 EDT, John Newbigin
no flags Details
Disk Utility (120.23 KB, image/png)
2013-08-27 21:47 EDT, John Newbigin
no flags Details

  None (edit)
Description John Newbigin 2013-08-27 21:42:30 EDT
Description of problem:
palimpsest reports that DISK HAS MANY BAD SECTORS

In fact it claims that there are 1441814 reallocated sectors.

smartctl shows on 22 reallocated sectors and smart status as PASS.

Interestingly, 1441814 = 0x160016, 22 = 0x16

I believe that the 'DISK HAS MANY BAD SECTORS' claim is bogus.

Sounds like #496087 and perhaps #506254

Version-Release number of selected component (if applicable):
gnome-disk-utility-2.30.1-2.el6.x86_64

How reproducible:
One one disk only.


# smartctl -a /dev/sda
smartctl 5.43 2012-06-30 r3573 [x86_64-linux-2.6.32-358.14.1.el6.x86_64] (local build)
Copyright (C) 2002-12 by Bruce Allen, http://smartmontools.sourceforge.net

=== START OF INFORMATION SECTION ===
Device Model:     Hitachi HDS721010CLA632
Serial Number:    JP2940J82ZYLXV
LU WWN Device Id: 5 000cca 396ea414b
Firmware Version: JP4OA41A
User Capacity:    1,000,204,886,016 bytes [1.00 TB]
Sector Size:      512 bytes logical/physical
Device is:        Not in smartctl database [for details use: -P showall]
ATA Version is:   8
ATA Standard is:  ATA-8-ACS revision 4
Local Time is:    Wed Aug 28 11:23:59 2013 EST
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

=== START OF READ SMART DATA SECTION ===
SMART overall-health self-assessment test result: PASSED

General SMART Values:
Offline data collection status:  (0x84)	Offline data collection activity
					was suspended by an interrupting command from host.
					Auto Offline Data Collection: Enabled.
Self-test execution status:      ( 243)	Self-test routine in progress...
					30% of test remaining.
Total time to complete Offline 
data collection: 		( 9988) seconds.
Offline data collection
capabilities: 			 (0x5b) SMART execute Offline immediate.
					Auto Offline data collection on/off support.
					Suspend Offline collection upon new
					command.
					Offline surface scan supported.
					Self-test supported.
					No Conveyance Self-test supported.
					Selective Self-test supported.
SMART capabilities:            (0x0003)	Saves SMART data before entering
					power-saving mode.
					Supports SMART auto save timer.
Error logging capability:        (0x01)	Error logging supported.
					General Purpose Logging supported.
Short self-test routine 
recommended polling time: 	 (   2) minutes.
Extended self-test routine
recommended polling time: 	 ( 167) minutes.
SCT capabilities: 	       (0x003d)	SCT Status supported.
					SCT Error Recovery Control supported.
					SCT Feature Control supported.
					SCT Data Table supported.

SMART Attributes Data Structure revision number: 16
Vendor Specific SMART Attributes with Thresholds:
ID# ATTRIBUTE_NAME          FLAG     VALUE WORST THRESH TYPE      UPDATED  WHEN_FAILED RAW_VALUE
  1 Raw_Read_Error_Rate     0x002f   100   092   016    Pre-fail  Always       -       0
  2 Throughput_Performance  0x0027   136   100   054    Pre-fail  Always       -       95
  3 Spin_Up_Time            0x0023   122   100   024    Pre-fail  Always       -       307 (Average 312)
  4 Start_Stop_Count        0x0022   100   100   000    Old_age   Always       -       44
  5 Reallocated_Sector_Ct   0x0033   100   100   005    Pre-fail  Always       -       22 (0 22)
  7 Seek_Error_Rate         0x002f   100   100   067    Pre-fail  Always       -       0
  8 Seek_Time_Performance   0x0025   142   100   020    Pre-fail  Offline      -       29
  9 Power_On_Hours          0x0032   100   100   000    Old_age   Always       -       6518
 10 Spin_Retry_Count        0x0033   100   100   060    Pre-fail  Always       -       0
 12 Power_Cycle_Count       0x0032   100   100   000    Old_age   Always       -       44
183 Runtime_Bad_Block       0x0032   100   100   000    Old_age   Always       -       0
184 End-to-End_Error        0x0033   100   100   097    Pre-fail  Always       -       0
185 Unknown_Attribute       0x0032   098   098   000    Old_age   Always       -       196607
187 Reported_Uncorrect      0x0032   100   100   000    Old_age   Always       -       524288
188 Command_Timeout         0x0032   100   097   000    Old_age   Always       -       8590917686
189 High_Fly_Writes         0x0032   100   100   000    Old_age   Always       -       0
190 Airflow_Temperature_Cel 0x0022   067   063   000    Old_age   Always       -       33 (Min/Max 26/33)
192 Power-Off_Retract_Count 0x0032   100   100   000    Old_age   Always       -       48
193 Load_Cycle_Count        0x0032   100   100   000    Old_age   Always       -       48
194 Temperature_Celsius     0x0002   181   166   000    Old_age   Always       -       33 (Min/Max 19/37)
196 Reallocated_Event_Count 0x0032   100   100   000    Old_age   Always       -       22
197 Current_Pending_Sector  0x0032   100   100   000    Old_age   Always       -       0
198 Offline_Uncorrectable   0x0030   100   100   000    Old_age   Offline      -       0
199 UDMA_CRC_Error_Count    0x0032   200   200   000    Old_age   Always       -       0

SMART Error Log Version: 0
No Errors Logged

SMART Self-test log structure revision number 1
Num  Test_Description    Status                  Remaining  LifeTime(hours)  LBA_of_first_error
# 1  Short offline       Completed without error       00%      6509         -
# 2  Short offline       Completed without error       00%      6484         -
# 3  Short offline       Completed without error       00%      6460         -
# 4  Short offline       Completed without error       00%      6436         -
# 5  Short offline       Completed without error       00%      6412         -
# 6  Short offline       Completed without error       00%      6388         -
# 7  Short offline       Completed without error       00%      6364         -
# 8  Short offline       Completed without error       00%      6340         -
# 9  Short offline       Completed without error       00%      6316         -
#10  Short offline       Completed without error       00%      6292         -
#11  Short offline       Completed without error       00%      6268         -
#12  Short offline       Completed without error       00%      6244         -
#13  Short offline       Completed without error       00%      6220         -
#14  Short offline       Completed without error       00%      6196         -
#15  Short offline       Completed without error       00%      6172         -
#16  Short offline       Completed without error       00%      6148         -
#17  Short offline       Completed without error       00%      6124         -
#18  Short offline       Completed without error       00%      6100         -
#19  Short offline       Completed without error       00%      6076         -
#20  Short offline       Completed without error       00%      6053         -
#21  Short offline       Completed without error       00%      6029         -

SMART Selective self-test log data structure revision number 1
 SPAN  MIN_LBA  MAX_LBA  CURRENT_TEST_STATUS
    1        0        0  Not_testing
    2        0        0  Not_testing
    3        0        0  Not_testing
    4        0        0  Not_testing
    5        0        0  Not_testing
Selective self-test flags (0x0):
  After scanning selected spans, do NOT read-scan remainder of disk.
If Selective self-test is pending on power-up, resume after 0 minute delay.
Comment 1 John Newbigin 2013-08-27 21:43:35 EDT
Created attachment 791215 [details]
Applet alert
Comment 2 John Newbigin 2013-08-27 21:45:23 EDT
Created attachment 791217 [details]
SMART details
Comment 3 John Newbigin 2013-08-27 21:47:02 EDT
Created attachment 791218 [details]
Disk Utility
Comment 5 RHEL Product and Program Management 2013-10-13 19:13:32 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 6 John Newbigin 2013-10-30 21:32:59 EDT
In case anyone does want to fix the bug I have some more information.

The disk in question is now reporting the following SMART data (summarised)
ID# ATTRIBUTE_NAME          FLAG     VALUE WORST THRESH TYPE      UPDATED  WHEN_FAILED RAW_VALUE
  1 Raw_Read_Error_Rate     0x002f   100   092   016    Pre-fail  Always       -       0
  2 Throughput_Performance  0x0027   136   100   054    Pre-fail  Always       -       95
  3 Spin_Up_Time            0x0023   122   100   024    Pre-fail  Always       -       307 (Average 312)
  4 Start_Stop_Count        0x0022   100   100   000    Old_age   Always       -       44
  5 Reallocated_Sector_Ct   0x0033   100   100   005    Pre-fail  Always       -       43 (0 43)
...
196 Reallocated_Event_Count 0x0032   100   100   000    Old_age   Always       -       43
197 Current_Pending_Sector  0x0032   100   100   000    Old_age   Always       -       1

Num  Test_Description    Status                  Remaining  LifeTime(hours)  LBA_of_first_error
# 1  Short offline       Completed: read failure       60%      8044         88304445

And palimpset now says that the 5 - Reallocated Sector Count is 2818091.
2818091 = 0x2B002B
0x2B = 43
Attribute 5 and 196 are now both reading 43.

The disk now has 1 unreadable sector but the Reallocated Sector Count is still bogus and the pattern in the error seems consistent.

I will try and get this fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.